### Function

# GLib ref_count_dec

since: 2.58

#### Declaration [src]

    gboolean
    g_ref_count_dec (
      grefcount* rc
    )

#### Description [src]

Decreases the reference count.

If `TRUE` is returned, the reference count reached 0. After this point, `rc` is an undefined state and must be reinitialized with `g_ref_count_init()` to be used again.

Available since: 2.58

#### Parameters

`rc`

  Type: `grefcount*`

  The address of a reference count variable.

  The argument will be modified by the function.

#### Return value

Type: `gboolean`

`TRUE` if the reference count reached 0, and `FALSE` otherwise.